Last Comment Bug 712105 - Windows unsupported context-menu cursor instead uses last cursor
: Windows unsupported context-menu cursor instead uses last cursor
Status: RESOLVED FIXED
:
Product: Core
Classification: Components
Component: Widget: Win32 (show other bugs)
: Trunk
: x86_64 Windows 7
: -- normal (vote)
: mozilla25
Assigned To: Birunthan Mohanathas [:poiru]
:
: Jim Mathies [:jimm]
Mentors:
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2011-12-19 12:49 PST by Ryan O'Hara
Modified: 2013-08-01 14:14 PDT (History)
6 users (show)
See Also:
Crash Signature:
(edit)
QA Whiteboard:
Iteration: ---
Points: ---
Has Regression Range: ---
Has STR: ---


Attachments
Use default cursor rather than last cursor for 'cursor: context-menu' on Windows and OS/2 (2.67 KB, patch)
2013-07-31 10:44 PDT, Birunthan Mohanathas [:poiru]
jmathies: review+
Details | Diff | Splinter Review

Description Ryan O'Hara 2011-12-19 12:49:54 PST
User Agent: Mozilla/5.0 (Windows NT 6.1; WOW64; rv:8.0) Gecko/20100101 Firefox/8.0
Build ID: 20111104165243

Steps to reproduce:

In the demo on MDN for cursor on Windows at https://developer.mozilla.org/en/CSS/cursor, hover over the cursor example for context-menu, which is not supported on Windows (bug 258960).


Actual results:

Instead of defaulting to an `auto` cursor, the cursor stayed the same as whatever it was last.


Expected results:

The cursor should be the default.
Comment 1 Mats Palmgren (:mats) 2011-12-20 02:29:51 PST
I've reopened bug 258960 for reconsideration...
Comment 2 Sebastian Zartner 2012-06-19 02:55:14 PDT
I just stumbled over this issue, too, using Firefox 13.0.1 on Win7.

Sebastian
Comment 3 Birunthan Mohanathas [:poiru] 2013-07-31 10:44:36 PDT
Created attachment 783852 [details] [diff] [review]
Use default cursor rather than last cursor for 'cursor: context-menu' on Windows and OS/2
Comment 4 Jim Mathies [:jimm] 2013-07-31 11:00:21 PDT
Comment on attachment 783852 [details] [diff] [review]
Use default cursor rather than last cursor for 'cursor: context-menu' on Windows and OS/2

Looks great, thanks!
Comment 5 Jim Mathies [:jimm] 2013-07-31 12:17:34 PDT
Can you post an export with the proper hg header information so tree managers don't have to put one together for you?

https://developer.mozilla.org/en-US/docs/Creating_a_patch_that_can_be_checked_in
Comment 6 Ryan VanderMeulen [:RyanVM] 2013-07-31 18:18:08 PDT
https://hg.mozilla.org/integration/mozilla-inbound/rev/60f975a050dd
Comment 7 Ryan VanderMeulen [:RyanVM] 2013-08-01 13:57:09 PDT
https://hg.mozilla.org/mozilla-central/rev/60f975a050dd

Note You need to log in before you can comment on or make changes to this bug.